/******************************************************************************
 * Copyright (c) 2014, AllSeen Alliance. All rights reserved.
 *
 *    Permission to use, copy, modify, and/or distribute this software for any
 *    purpose with or without fee is hereby granted, provided that the above
 *    copyright notice and this permission notice appear in all copies.
 *
 *    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 *    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 *    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 *    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 *    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 *    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 ******************************************************************************/
/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class org_allseen_lsf_Scene */

#ifndef _Included_org_allseen_lsf_Scene
#define _Included_org_allseen_lsf_Scene
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     org_allseen_lsf_Scene
 * Method:    setStateTransitionEffects
 * Signature: ([Lorg/allseen/lsf/StateTransitionEffect;)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_Scene_setStateTransitionEffects
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    getStateTransitionEffects
 * Signature: ()[Lorg/allseen/lsf/StateTransitionEffect;
 */
JNIEXPORT jobjectArray JNICALL Java_org_allseen_lsf_Scene_getStateTransitionEffects
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    setPresetTransitionEffects
 * Signature: ([Lorg/allseen/lsf/PresetTransitionEffect;)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_Scene_setPresetTransitionEffects
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    getPresetTransitionEffects
 * Signature: ()[Lorg/allseen/lsf/PresetTransitionEffect;
 */
JNIEXPORT jobjectArray JNICALL Java_org_allseen_lsf_Scene_getPresetTransitionEffects
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    setStatePulseEffects
 * Signature: ([Lorg/allseen/lsf/StatePulseEffect;)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_Scene_setStatePulseEffects
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    getStatePulseEffects
 * Signature: ()[Lorg/allseen/lsf/StatePulseEffect;
 */
JNIEXPORT jobjectArray JNICALL Java_org_allseen_lsf_Scene_getStatePulseEffects
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    setPresetPulseEffects
 * Signature: ([Lorg/allseen/lsf/PresetPulseEffect;)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_Scene_setPresetPulseEffects
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    getPresetPulseEffects
 * Signature: ()[Lorg/allseen/lsf/PresetPulseEffect;
 */
JNIEXPORT jobjectArray JNICALL Java_org_allseen_lsf_Scene_getPresetPulseEffects
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    toString
 * Signature: ()Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_org_allseen_lsf_Scene_toString
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    createNativeObject
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_Scene_createNativeObject
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_Scene
 * Method:    destroyNativeObject
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_Scene_destroyNativeObject
  (JNIEnv *, jobject);

#ifdef __cplusplus
}
#endif
#endif
